%define major		0
%define libname		%mklibname synce %{major}
%define develname	%mklibname synce -d
%define svn 0

Summary:	Basic library used by applications in the SynCE project
Name:		libsynce
Version:	0.15.1
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
Source0:	http://prdownloads.sourceforge.net/synce/%{name}-%{version}.tar.gz
URL:		http://synce.sourceforge.net/
Buildroot:	%{_tmppath}/synce-root
BuildRequires:	dbus-glib-devel

%description
Libsynce is part of the SynCE project. It is a library of basic
functions used by the rest of the project.

%package -n %{libname}
Summary:	Basic library used by applications in the SynCE project
Group:		System/Libraries

%description -n %{libname}
Libsynce is part of the SynCE project. It is a library of basic
functions used by the rest of the project.

%package -n %{develname}
Summary:	Basic library used by applications in the SynCE project
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname synce 0 -d} < 0.13

%description -n %{develname}
Libsynce is part of the SynCE project. It is a library of basic
functions used by the rest of the project.

%prep
%setup -q

%build
%configure2_5x --enable-udev-support --disable-hal-support
%make

%install
%makeinstall

rm -fr %{buildroot}%{_datadir}/doc
rm -fr %{buildroot}%{_libdir}/*.la

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsynce.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README TODO
%{_libdir}/libsynce.so
%{_libdir}/libsynce.a
%{_includedir}/*.h
%{_libdir}/pkgconfig/libsynce.pc
%{_mandir}/man3/*3*
%{_mandir}/man7/*7*


%changelog
* Tue Mar 15 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.15.1-1mdv2011.0
+ Revision: 645043
- new version 0.15.1
  enable udev support and disable hal support

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15-2mdv2011.0
+ Revision: 609782
- rebuild

* Tue Apr 27 2010 Emmanuel Andry <eandry@mandriva.org> 0.15-1mdv2010.1
+ Revision: 539628
- New version 0.15

* Thu Mar 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.15-0.r3893.1mdv2010.1
+ Revision: 514163
- pre 0.15 svn snapshot

* Wed Jul 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14-1mdv2010.0
+ Revision: 398667
- Update to new version 0.14
- Remove underlinking fix: not needed anymore
- Remove provides and obsolets in main package, becaues the binary
  package with this name is not built anymore since years
- Don't let subpackages obsolete every previous version of themselves
  and don't use the package name in the version number of obsoleted packages

* Sun Jan 11 2009 Adam Williamson <awilliamson@mandriva.org> 0.13-1mdv2009.1
+ Revision: 328436
- do the underlink fix in Makefile.in and drop autopoo regeneration to try and
  fix weird build failure
- add underlink.patch: fix underlinking (against libm)
- new release 0.13

* Wed Jul 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.12-1mdv2009.0
+ Revision: 236576
- new release 0.12

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.1-1mdv2009.0
+ Revision: 194471
- buildrequires hal-devel
- correct devel package group
- version all obsoletes / provides
- new devel policy
- clean spec
- new release 0.11.1

* Sat Feb 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-3mdv2008.1
+ Revision: 161478
- obsoletes and provides synce

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Thu Jan 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-2mdv2008.1
+ Revision: 147443
- add more obsoletes

* Wed Jan 09 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-1mdv2008.1
+ Revision: 147398
- import libsynce


